Skip to main content
GET
List Orders

Authorizations

Authorization
string
header
required

Authentication: Customer session tokens authenticate buyers within your organization. Generate one through the customer session operation.

Query Parameters

product_id

Return only records matching product ID. Identifier of the product.

product_billing_type

Return only records matching product billing type. recurring will filter data corresponding to subscriptions creations or renewals. one_time will filter data corresponding to one-time purchases.

Available options:
one_time,
recurring
subscription_id

Return only records matching subscription ID. Identifier of the subscription.

query
string | null

Parameter: Search by product or organization name.

page
integer
default:1

Results page to return. The first page is used by default.

limit
integer
default:10

Records returned per page. Defaults to 10 and accepts up to 100.

sorting
enum<string>[] | null

Sort rules applied from left to right. Prefix any rule with - to reverse it into descending order.

Available options:
created_at,
-created_at,
amount,
-amount,
net_amount,
-net_amount,
product,
-product,
subscription,
-subscription

Response

Request completed successfully

items
CustomerOrder · object[]
required
pagination
Pagination · object
required